Skip to main content
POST
List error traces
For paging and the difference between the list endpoints, see Querying traces.

Authorizations

Authorization
string
header
required

Authorization: Bearer <token>

Body

application/json

Filters and pagination for listing the traces of error incidents.

site_ids
string[]
required

Sites to search; the caller must have access to all of them.

digests
string[]
required

Digests of the error incidents to list traces for.

pagination
object
required

Page size (capped at 100), order and cursor.

query
string | null

Filter query; supports revision and tag filters.

Response

The matching trace summaries.

span_id
string
required

Unique identifier for the root span.

trace_id
string
required

Unique identifier for the entire trace.

site_id
string
required

Site identifier this trace belongs to.

time
string<date-time>
required

Timestamp when the trace started.

duration
number<double>
required

Total duration of the trace in milliseconds.

tags
object
required

User-defined tags extracted from span attributes.

has_npo
boolean
required

Whether this trace contains N+1 query detection results.

namespace
string | null

Namespace the trace belongs to (e.g. "web", "background").

revision
string | null

Git revision or deployment identifier active when the trace was recorded.

action_name
string | null

Action name for the trace (e.g. "POST /api/users").